# 邀请组件

使用方法：

```
# 1、获取uid等于1的邀请码
$uid = 1;
$code = Dever::load('invite/api')->code($uid);

# 2、根据邀请码获取邀请人uid
$code = '1234';
$uid = Dever::load('invite/api')->getUid($code);

# 3、设置邀请关系 uid为1的用户，上级用户uid为3；如果$parant不存在，也可以输入邀请码，如果$parent和code都为false，则自动读取input中的source_signature
$parent = 3;
$uid = Dever::load('invite/api')->setRelation($uid, $parent, $code = false);

# 4、获取某个用户的下级列表
level为关系级数，默认为6级
$data = Dever::load('invite/api')->getChild($uid, $level = 6);

# 5、获取某个用户的上级
level为关系级数，默认为1级
$uid = Dever::load('invite/api')->getParent($uid, $level = 1);

# 6、获取某个用户的所有上级
$data = Dever::load('invite/api')->getParent($uid);

# 7、获取来源用户uid(根据参数source_signature)
uid 当前用户uid
error为错误提示类型，默认为true,直接报错退出，false为return错误信息
$uid = Dever::load('invite/api')->getSourceUid($uid, $error);


```