<?php

return array
(
	# 表名
	'name' => 'code',
	# 显示给用户看的名称
	'lang' => '用户邀请码',
	# 是否显示在后台菜单
	'order' => 10,
	'menu'	=> false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'list'		=> true,
		),

		'uid' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '用户ID',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),

		'value'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '邀请码',
			'default' 	=> '',
			'desc' 		=> '邀请码',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'index' => array
	(
		1 => array
		(
			'uid' => 'uid',
			'value' => 'value',
		),
		
		# 版本号 更改版本号会更新当前表的索引
		'version' => 1,
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
	),

	'request' => array
	(
		
	)
);
